== Exercise Sheet 3 - Topology of Metric Spaces

=== Exercise 1 @Exercise[3, 1]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
  Let $(X, d)$ be a metric space, and let $x_1, . . . , x_4 in X$. Show that

$
  |d(x_1,x_2) - d(x_2,x_3)| <= d(x_1,x_3)
$
])

$
  #text("z.z.") &|d(x_1,x_2) - d(x_2,x_3)| <= d(x_1,x_3) \
  d(x_1,x_3) <= &|d(x_1,x_2) + d(x_2,x_3)| \
  <=> 0 <= &|d(x_1,x_2) + d(x_2,x_3)| - d(x_1,x_3) \
  ?????????????????&???????????????
$

#pagebreak()
=== Exercise 2 @Exercise[3, 2]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
  We define the metric
$
  d(x, y) = arctan(|x − y|)
$

  on $RR$. Show that $d$ indeed defines $a$ metric, i. e. it satisfies the axioms of a metric.

  Hint: You can and should use that

  $ arctan(x + y) ≤ arctan(x) + arctan(y); x, y in RR $

])

#set enum(numbering: "(I)")
+ $
  #text("z.z.") wide d(x,y) = 0 &<=> x=y \
  d(x,y) = 0 &<=> arctan(|x-y|) = 0 \
  &<=> |x-y| 0 \
  &<=> x-y = 0 \
  &<=> x = y space qed
$
+ $
  #text("z.z.") wide d(x,y) &= d(y,x) \
  d(x,y) &= arctan(|x-y|) \
  &= arctan(| -1 dot (x-y) |) \
  &= arctan(|y-x|) \
  &= d(y,x) space qed
$
+ $
  #text("z.z.") wide d(x , y ) &<= d(x , z) + d(z, y ) \ \
  #text("es gilt:") |x-y| &= |x-z+z-y| <= |x-z| + |z-y| \
  arctan &#text("ist streng monoton steigend.") \ \
  d(x,y) &= arctan(|x-y|) \
  &= arctan(|x-z+z-y|) \
  &<= arctan(|x-z|+|z-y|) \
  &= arctan(|x-z|) + arctan(|z-y|) #text("Zauber") \
  &= d(x,z) + d(z,y) space qed
$

Somit gelten alle Eigenschaften einer Metrik für $d(x, y) = arctan(|x − y|)$ $qed$.

#pagebreak()
=== Exercise 3 @Exercise[3, 3]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
  Show that the set $U=[0, 1) subset RR$ is neither open nor closed.
])

$U$ ist nicht offen, weil es keinen offenen Ball um $x=0$ mit radius $epsilon 
> 0$ geben kann, der vollständig in $U$ liegt.

Damit $U$ geschlossen ist, müsste $RR\\U$ offen sein. Man kann jedoch keinen 
offenen Ball um $x=1; x in RR\\U$ mit radius $epsilon >0$ legen, sodass dieser 
vollständig in $RR\\U$ liegen würde. $qed$

=== Exercise 4 @Exercise[3, 4]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
  Show that the union
  $ み = union.big space U_i $
  of the sequence of open sets $U$ is open.
])

@Vorlesung[3, Theorem 2.2] sagt das ist bereits wahr.

Trotzdem: Jedes $x$ ist auf jeden fall teil mindestens eines $U_i$. Dann existiert ein offener Ball 
$B_epsilon(x) subset U_i subset み$ für alle $x subset U_i subset み$. Somit ist $み$ offen. $qed$

=== Exercise 4 @Exercise[3, 5]
#block(
  fill: luma(230),
  inset: 8pt,
  radius: 4pt,
[
  Show that the intersection
  $ ま = sect.big space U_i $
  of the sequence of closed sets $U$ is closed.
])

@Vorlesung[3, Theorem 2.2] sagt das ist bereits wahr.

Geschlossen bedeutet das Komplement ist offen. $overline(ま) = overline(sect.big space U_i) = union.big overline(U_i)$ Wie in Ex 4 gezeigt, ist $overline(ま)$ offen, da $overline(U_i)$ offen ist, da $U_i$ geschlossen ist. $qed$
