== Basics & Outlook @Vorlesung[Foliensatz 1]

- Größtenteils Wiederholung von Analysis

=== Konvergenz von Folgen

#v(2em)

#figure([
+ Ist die Folge von einem bestimmten Typen?
  - Harmonische Reihe ($1/n$)
  - Alternierende Reihe ($(-1)^n$)
+ Hilft die 3. Bionische Formel? ($(a+b)(a-b)$) (heiß´t glaub ich auch
  quadratische Ergänzung)
+ Sandwich Theorem ($a_n <= b_n <= c_n => a <= b <= c$)
+ Gibt es einen Maximalwert?
+ Ist sie monoton: ($a_(n+1)/a_n <= 1 "oder" >= 1$)
], caption: "Algorithmus zum Test auf Konvergenz bei Folgen") <alg:folge>

==== Ex: Convergence of Sequences @Vorlesung[1, P. 11]

#quote()[
  Does the sequence $a_n; n in NN$

  $ a_n = ((n+1)^2 + 3 dot n(n^2 -1)) / (2 dot (n+2)^3) $

  converge? If it converges, what is the limit?
]

$
  a_n &= ((n+1)^2 + 3 dot n(n^2 -1)) / (2 dot (n+2)^3)) \
  => lim_(n -> infinity) a_n &= lim_(n -> infinity) ((n+1)^2 + 3 dot n(n^2 -1)) / (2 dot (n+2)^3) \
  &= lim_(n -> infinity) (3 n^3) / (2n^3) \
  &= 3 / 2 checkmark
$

==== Ex: Convergence of Sequences @Vorlesung[1, P. 13]

#quote()[
  Does the sequence $a_n; n in NN$

  $ a_n = sqrt(n^2+n)-n $

  converge? If it converges, what is the limit?
]

$
  lim_(n -> infinity) a_n &= lim_(n -> infinity) sqrt(n^2+n)-n \
  &= lim_(n -> infinity) (sqrt(n^2+n)-n) dot (sqrt(n^2+n)+n)/(sqrt(n^2+n)+n) \
  &= lim_(n -> infinity) ((sqrt(n^2+n)-n) dot (sqrt(n^2+n)+n))/(sqrt(n^2+n)+n) \
  &= lim_(n -> infinity) (n^2+n-n^2)/(sqrt(n^2+n)+n) \
  &= lim_(n -> infinity) (n)/(sqrt(n^2+n)+n) |:n\
  &= lim_(n -> infinity) (1)/(sqrt(n^2+n)/n +1)\
  &= lim_(n -> infinity) (1)/(sqrt(n^2+n)/sqrt(n^2) +1)\
  &= lim_(n -> infinity) (1)/(sqrt((n^2+n)/n^2) +1)\
  &= lim_(n -> infinity) (1)/(sqrt(1+1/n) +1) = 1/2 checkmark
$

==== Ex: Convergence of Sequences @Vorlesung[1, P. 15]

#quote()[
  Does the sequence $a_n; n in NN$

  $ a_n = n!/n^n $

  converge? If it converges, what is the limit?
]

$
  a_n &= n!/n^n \
  => lim_(n -> infinity) a_n &= lim_(n -> infinity) n!/n^n \
  &= ((n-1)(n-2)dots)/n^n \
  => n! &<=  n^(n-1) \
  => a_n &<= n^(n-1)/n^n = 1/n --> 0 \
  => lim_(n -> infinity) a_n &= 0
$

=== Konvergenz von Reihen

#v(2em)

#figure([
+ Addiert die Reihe eine Nullfolge?
+ Ist die Reihe von einem bestimmten Typen?
  - Geometrische Reihe
  - Teleskop-Reihe
+ Addiert die Reihe eine alternierende Folge?
+ Ratio test (Besonders bei $x!$ und $x^n$)
+ Root test (Besonders bei $x^n$)
], caption: "Algorithmus zum Test auf Konvergenz bei Reihen") <alg:reihe>

==== Ex: Convergence of Serieses @Vorlesung[1, P. 22]

#quote()[
  Does the series

  $ S = sum^(infinity)_(n=0) (2n-1)/(3n-1) $

  converge?
]

$
  lim_(n -> infinity) (2n-1)/(3n-1) = 2/3 != 0 \
  => "Die Reihe konvergiert nicht, weil " (2n-1)/(3n-1) " keine Nullfolge ist." checkmark
$

#pagebreak()

==== Ex: Convergence of Serieses @Vorlesung[1, P. 26]

#quote()[
  Does the series

  $ S = sum^(infinity)_(n=0) (2)/(3^n) $

  converge?
]

$
  S &= sum^(infinity)_(n=0) (2)/(3^n) \
  &= 2 dot sum^(infinity)_(n=0) (1)/(3^n) \
  &= 2 dot sum^(infinity)_(n=0) (1/3)^n ; 1/3 > 1 \
  &=> S " ist eine geometrische Reihe!" \
  S &= 2 dot 1/(1- 1/3) = 2 dot 1/(2/3) = 2 dot 3/2 = 3 checkmark
$

==== Ex: Convergence of Serieses @Vorlesung[1, P. 29]

#quote()[
  Does the series

  $ S = sum^(infinity)_(n=0) (1)/(n(n+1)) $

  converge?
]

$
  S &= sum^(infinity)_(n=0) (1)/(n(n+1)) \
  b_n &= (1)/(n(n+1)) \
  &= (1+(n-n))/(n(n+1)) \
  &= ((1+n)-n)/(n(n+1)) \
  &= ((n+1))/(n(n+1)) - (n)/(n(n+1)) \
  &= (1)/(n) - (1)/(n+1) \
  "mit " a_n = 1/n &: b_n = a_n - a_(n+1) => "Wir können das Teleskopkriterium anwenden" \
  (S &= a_0 = 1/1 = 1 checkmark) \
  S &= a_1 = 1/1 = 1 checkmark \
$

Diese Partialbruchzerlegung hätte ich nicht ohne
@MatheNichtFreaks[Partialbruchzerlegung] gefunden. Aus irgendeinem Grund
ist $a_0 = 1/1$ in der Vorlesung@Vorlesung, anstatt $1/0$. Demnach müsste
z.B. $a_1=1/2$ sein. Das $n$ in $a_n$ indiziert also eine Zahl aus $NN$
und wird nicht direkt eingesetzt.

Ich finde das ist inkonsistent, deshalb verwende ich $a_1 => n=1$, und $a_0 => n=0$.

#pagebreak()

==== Ex: Convergence of Serieses @Vorlesung[1, P. 32]

#quote()[
  Does the series

  $ S = sum^(infinity)_(n=0) (n)/(2^n) $

  converge?
]

$
  lim_(n->infinity) abs((a_(n+1)/a_n)) &= lim_(n->infinity) abs(((n+1)/(2^(n+1)))/(n/(2^n))) \
  &= lim_(n->infinity) abs(((n+1) dot 2^n)/(n dot 2^(n+1))) \
  &= lim_(n->infinity) abs(((n+1))/n) dot abs((2^n)/(2^(n+1))) \
  &= lim_(n->infinity) abs(((n+1))/n) dot 1/2 \
  &= lim_(n->infinity) abs((n)/n) dot 1/2 \
  &= 1/2 checkmark
$

==== Ex: Convergence of Serieses @Vorlesung[1, P. 35]

#quote()[
  Does the series

  $ S = sum^(infinity)_(n=0) (2^n)/((n+1)^n) $

  converge?
]

$
  &lim_(n->infinity) root(n, abs((2^n)/((n+1)^n))) "(Wurzelkriterium)"\
  = &lim_(n->infinity) root(n, abs(((2)/((n+1)))^n)) \
  = &lim_(n->infinity) (2)/((n+1)) = 0 < 1 => "S ist konvergent" checkmark
$

#pagebreak()

=== Funktionen, Stetigkeit, Ableitungen

$ f: D --> W\ v |-> w = f(w) $

$ f^: D --> W\ v |-> w = f(w) $

==== Accumulation Point

#quote()[
  A value $a$ is called accumulation point of $D$ if there is a (non-constant)
  sequence $a_n$ in $D$ which converges to $a$.
] @Vorlesung[1, P. 40]

- Ist dann nicht jeder Punkt (in Mengen mit mehr als einem Element) ein
  Sammelpunkt? Folgen können doch belibig definiert werden?


==== Uniform Continuity

#quote()[
  A function $ f: D --> RR $ is called uniformly continuous on $D$ if $ forall 
  epsilon exists delta > 0: forall x,y in V : |x-y| < delta -> |f(x) - f(y)| < epsilon $
] @Vorlesung[1, P. 50]

+ Sieht erstmal irgendwie nichtssagend aus.
+ Wir wählen $delta$ und $epsilon$ implizit sehr klein, größere Werte sind möglich aber bringen uns nichts.
+ $=>$ Für jedes $epsilon$ existiert ein $delta$ dass die folgende Bedingung einhält: 
  Wenn der Unterschied zwischen $x$ und $y$ sehr klein ist, dann ist der Unterschied der 
  Funktionswerte für $x$ und $y$ auch sehr klein.
+ $=>$ Es ist überall stetig.


#pagebreak()

==== Ex: Ableitung einer Funktion mit nur einer Variablen @Vorlesung[1, P. 59]

#quote()[
  Calculate the derivative of 

  $ f(x) = sin(x) + 1/sin(x) $
]

$
  f(x) &= sin(x) + 1/sin(x) = g(x) + h(g(x)) \
  g(x) &= sin(x) => g'(x) = cos(x) \
  h(x) &= 1/x = x^(-1)=> h'(x) = -x^(-2) \
  => f'(x) &= g'(x) + -g(x)^(-2) dot g'(x) \
  &= cos(x) + (-1)/sin(x)^(2) dot cos(x) \
  &= [1 - 1/sin(x)^(2) ] dot cos(x) checkmark
$

==== Ex: Ableitung einer Funktion mit nur einer Variablen @Vorlesung[1, P. 61]

#quote()[
  Calculate the derivative of 

  $ f(x) = cos(x)^2 dot cos(x^2) $
]

$
  f(x) &= cos(x)^2 dot cos(x^2) = g(h(x)) + h(g(x)) = u(x) dot v(x) \
  \
  g(x) &= x^2 => g'(x) = 2x \
  h(x) &= cos(x) => h'(x) = -sin(x) \
  u(x) &= cos(x)^2 = g(h(x)) => u'(x) = g'(h(x)) dot h'(x) = 2cos(x) dot (-sin(x)) \
  v(x) &= cos(x^2) = h(g(x)) => v'(x) = h'(g(x)) dot g'(x) = -sin(x^2) dot 2x \
  \
  => f'(x) &= u'(x) dot v(x) + u(x) dot v'(x) \
  &= 2cos(x) dot (-sin(x)) dot cos(x^2) + cos(x)^2 dot (-sin(x^2)) dot 2x \
  &= 2cos(x) [-sin(x) dot cos(x^2) - x dot cos(x) dot (-sin(x^2))] \
$

Die original Lösung behauptet die Lösung wäre $f'(x) = 2cos(x) [sin(x)cos(x^2) +
cos(x)^2sin(x^2)x]$, das ist aber falsch, da die Vorzeichen, die beim Ableiten
vom $cos$ entstehen, fehlen.


=== Grenzwerte und Integration

==== Ex: Grenzwert mit l'Hôpital @Vorlesung[1, P. 69]

#quote()[
  Derive the limit

  $ L = lim_(x->infinity) (x^2e^x)/(e^x-1)^2 $
]

$
  L &= lim_(x->infinity) (x^2e^x)/(e^x-1)^2 = lim_(x->infinity) (g(x))/(h(x)) =^! lim_(x->infinity) (g'(x))/(h'(x)) \
  g(x) &= x^2e^x => g'(x) = (x^2)' dot e^x + x^2 dot e^x = 2 x e^x+x^2e^x = e^x dot (x^2+2x) \
  h(x) &= (e^x-1)^2 => h'(x) = 2(e^x-1) dot e^x = 2e^x dot (e^x-1) \
  => L &= lim_(x->infinity) (e^x dot (x^2+2x))/(2e^x dot (e^x-1)) =lim_(x->infinity) (x^2+2x)/(2e^x -2) =lim_(x->infinity) (x^2+x)/(e^x -1) \
  &= lim_(x->infinity) (x+1)/(e^x-1) = lim_(x->infinity) (1)/(e^x) = 0 checkmark
$

==== Ex: Integration mit Substitutionsverfahren @Vorlesung[1, P. 76]

#quote()[
  Calculate the integral

  $ A = integral^(pi/2)_0 cos(x) dot e^(sin(x)) d x $

  using substitution
]

$
  A &= integral^(pi/2)_0 cos(x) dot e^(sin(x)) d x = integral^(pi/2)_0 u'(x) dot e(u(x)) d x \
  u(x) &= sin(x) ; u'(x) = cos(x) ; e(x) = e^x ; e'(x) = e^x \
  => A &= integral^(u(pi/2))_(u(0)) e(t) d t \
  &= integral^1_0 e(t) d t = e^1 - e^0 = e-1 checkmark
$

#pagebreak()

==== Ex: Integration mit partieller Integration @Vorlesung[1, P. 76]

#quote()[
  Calculate the integral

  $ A = integral x sin(x) d x $

  using partial integration
]

$
  A &= integral x sin(x) d x = integral u(x) dot v'(x) \
  u(x) &= x ; u'(x) = 1 ; v(x) = -cos(x) ; v'(x) = sin(x) \
  => A &= [u(x) dot v(x)] - integral u'(x) dot v(x) d x \
  &= x dot (-cos(x)) - integral 1 dot (-cos(x)) d x \
  &= x dot (-cos(x)) - (-sin(x)) \
  & = sin(x) - x cos(x) checkmark
$ <v1-partint>

- Es ist sehr verwirrend für mich, wenn die Integrationsgrenzen fehlen 😕

An dieser Stelle stimmt die Lösung in @Vorlesung leider wieder nicht. Ich habe 
das Ergebnis wie in <v1-partint> maschinell überprüfen lassen, und es war 
korrekt. Laut @Vorlesung wäre das Ergebnis:

$ A = integral x sin(x) d x = x(-cos(x)) - integral sin(x) d x = cos(x)(1-x) 
" "#emoji.crossmark $
